import { Rangeable } from '../src/extension';

@Rangeable
class MyRangeable { } 

describe('Rangeable', () => {
  it('should be exposed', () => {
    expect(Rangeable).to.not.be.undefined;
  });
  it('should be appliable to a class', () => {
    const myRangeable = new MyRangeable();
    myRangeable.setRange(1, 10);
    expect(myRangeable.getRange().lowerBound).to.equal(1);
    expect(myRangeable.getRange().upperBound).to.equal(10);
  });
  it('should be appliable to a class with default parameters', () => {
    const myRangeable = new MyRangeable();
    myRangeable.setRange();
    expect(myRangeable.getRange().lowerBound).to.equal(0);
    expect(myRangeable.getRange().upperBound).to.equal(Infinity);
  });
});
